Create Product Image
Creates a Product Image.
Required Fields
image_file, orimage_url
Usage Notes
image_url-255character limitContent-Type- Forimage_file, use themultipart/form-datamedia type. Forimage_url, use theapplication/jsontype. See Adding product images for more information.- When you upload an
image_file, senddescription,sort_order, andis_thumbnailas separate form fields in the samemultipart/form-datarequest. - You can create only one image at a time. A product can have up to 1000 images.
- Supported image file types are BMP, GIF, JPEG, PNG, WBMP, XBM, and WEBP.
- Each image file or image uploaded by URL can be up to 8 MB.
Authentication
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
The ID of the Product to which the resource belongs.
Headers
The MIME type of the response body.
Request
The URL for an image displayed on the storefront when the conditions are applied. Limit of 8MB per file.
Cannot be used with image_file.
Flag for identifying whether the image is used as the productʼs thumbnail.
The order in which the image will be displayed on the product page. Higher integers give the image a lower priority. When updating, if the image is given a lower priority, all images with a sort_order the same as or greater than the imageʼs new sort_order value will have their sort_orders reordered.